/*
	Copyright Adil Qureshi - 1997
	This code is part of gpsys Release 1.1
	and is released for non-commercial use only.
	Questions, comments etc should be forwarded to :-

		Adil Qureshi
		University College London,
		Department of Computer Science,
		Gower St,
		London WC1E 6BT, UK.
		Tel: +44 (0)171 380 7777 x4436
		Fax: +44 (0)171 387 1397
		email: A.Qureshi@cs.ucl.ac.uk
		URL : http://www.cs.ucl.ac.uk/staff/A.Qureshi/
*/

package gpsys.lawnmower;

/**
 * Allows monitoirng of changes to the Lawn.
 *
 * @see			gpsys.lawnmower.Lawn
 *
 * @version		1.1, 30th June '97
 * @author 	<a href="mailto:A.Qureshi@cs.ucl.ac.uk">Adil Qureshi</a>
 *			<address>Department of Computer Science,</address>
 *			<address>University College London,</address>
 *			<address>Gower St,</address>
 *			<address>London WC1E 6BT,</address>
 *			<address>UK.</address>
 */
public interface LawnObserver {
	/** 
	 * Called when the entire lawn regrows.
	 */
	public void lawnGrown();
	/** 
	 * Called when the square at the specified coordinates is being cut.
	 *
	 * @param x	The X-coordinate of the lawn square being cut.
	 * @param y	The Y-coordinate of the lawn square being cut.
	 */
	public void lawnCutting(int x, int y);
}
